Package org.eclipse.ltk.ui.refactoring.model

# Class AbstractSynchronizationContentProvider

java.lang.Object
org.eclipse.team.ui.mapping.SynchronizationContentProvider
org.eclipse.ltk.ui.refactoring.model.AbstractSynchronizationContentProvider

All Implemented Interfaces:
  `EventListener`, `IPropertyChangeListener`, `IContentProvider`, `IStructuredContentProvider`, `ITreeContentProvider`, `IDiffChangeListener`, `ICommonContentProvider`, `IMementoAware`

public abstract class AbstractSynchronizationContentProvider extends SynchronizationContentProvider
Partial implementation of a refactoring-aware synchronization content provider.

This class provides a method `getRefactorings(ISynchronizationContext, IProject, IProgressMonitor)` which may be used in subclasses to render refactorings in team synchronization views.

Note: this class is designed to be extended by clients. Programming language implementers who need refactoring support in a synchronization content provider used in team synchronization views may use this class as a basis for refactoring-aware synchronization content providers.

Since:
  3.2
See Also:
  - `SynchronizationContentProvider`

## Constructor Summary

Constructors
Constructor
Description
`AbstractSynchronizationContentProvider()`

## Method Summary

Modifier and Type
Method
Description
`protected RefactoringHistory`
`getRefactorings(ISynchronizationContext context, IProject project, IProgressMonitor monitor)`
Returns the refactorings for the specified project which are not in sync.

### Methods inherited from class org.eclipse.team.ui.mapping.SynchronizationContentProvider

`diffsChanged, dispose, getChildren, getChildrenInContext, getChildrenInScope, getConfiguration, getContext, getDelegateChildren, getDelegateContentProvider, getElements, getExtensionSite, getModelProvider, getModelProviderId, getModelRoot, getParent, getScope, getTraversals, getViewer, handleException, hasChildren, hasChildrenInContext, hasChildrenInScope, includeDirection, init, inputChanged, isFlatLayout, isInitialized, isInScope, isVisible, isVisible, propertyChange, propertyChanged, refresh, requestInitialization, restoreState, saveState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractSynchronizationContentProvider

public AbstractSynchronizationContentProvider()

## Method Details

### getRefactorings

protected RefactoringHistory getRefactorings(ISynchronizationContext context, IProject project, IProgressMonitor monitor)
Returns the refactorings for the specified project which are not in sync.

This method fetches refactoring information for all refactorings which are not in sync for a project (e.g. have not yet been checked into the repository, or are pending refactorings to execute on the local workspace).

Parameters:
  `context` - the synchronization context to use
  `project` - the project to compute its refactorings
  `monitor` - the progress monitor to use, or `null` if no progress monitoring or cancelation is desired
Returns:
  the refactoring history representing the refactorings